GNU bug report logs - #49972
[PATCH] gnu: xdg-desktop-portal-gtk: Update to 1.8.0.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Andrew Whatson <whatson@HIDDEN>; Keywords: patch; dated Tue, 10 Aug 2021 04:52:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 49972 <at> debbugs.gnu.org:


Received: (at 49972) by debbugs.gnu.org; 13 Aug 2021 10:38:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 13 06:38:42 2021
Received: from localhost ([127.0.0.1]:40551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mEUaI-0007Dr-9P
	for submit <at> debbugs.gnu.org; Fri, 13 Aug 2021 06:38:42 -0400
Received: from mail-yb1-f172.google.com ([209.85.219.172]:43550)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whatson@HIDDEN>) id 1mEUaH-0007DX-3c
 for 49972 <at> debbugs.gnu.org; Fri, 13 Aug 2021 06:38:41 -0400
Received: by mail-yb1-f172.google.com with SMTP id z128so17904276ybc.10
 for <49972 <at> debbugs.gnu.org>; Fri, 13 Aug 2021 03:38:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=QYMTFZxJ2/xpNHS011ABoI2zIgpjKOZFbJhMsGWBU9o=;
 b=UwroxQNKRG0nhv+6srg1kQP2zf8kgXsnB5ET/yjyfXzPWVrcvC0qC63vkjHPtDa1aA
 pcwEchHaPrymrP5uuAx3zOI1XTpFbuQQj5HTZ/rp7JKlWceAm0YB2GvxYIt3sP0+pPQW
 1vwdgOPLBSQYoxAAHjKCv9XCfjsHs46ljVYXNnbkmoaCGPG2WYh+ADi2yZKlKUmVgtyQ
 3lD5jM7LgB1pU4+UZsflfNKOBNt6CxN7tTacKJgUwsyIWbau3n8PN8zvyg4MQoRG2Aku
 GPI6RHQtcEXtbXAIfAsWltIiOkTUW+uIiD/N4J7NygVIyLSdiaQKRmpFHKS3DlfOIWxo
 qcMg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=QYMTFZxJ2/xpNHS011ABoI2zIgpjKOZFbJhMsGWBU9o=;
 b=JsAC9Rb8bfGqU8K0cpczrhHTJ0Nxg2VWMfVZ70TRluL99PotiMpSdthNuFSIZ49Mgq
 E7d7cbSPGZIP23ye8lSHMixr5864HQRRl1rFpGn3UY11Hmdph4VKYUxkhLIrWF8K2aBc
 QLweq+xizs2mfxx8mIoK4ysIl/CjRAKlHexbUWoVwkV1DdVkB1clCozF86wWLwOzpEoB
 qs2YCMjCdbuqDu7KuGkmfaHvKcarQJbFiJ8uGBZhI2h7t3q4rUPmGFGyylC/JK27ISb6
 199NUwlvQ5f6UNxbAIm0SpqDZqoJ4ElSG+puM0iqUys45s8Gv7W2jg0XDPFikj0h4E35
 vPlw==
X-Gm-Message-State: AOAM531PyBVaozyNqKZxPWA/+UH84Cj4cXA82bH8PjenRZPz5RwIExxr
 G3Vuyj/lXNLW0/T13du+I9Iwmz5JsM2CJbzhnEY=
X-Google-Smtp-Source: ABdhPJyznIcfCl+OeoS9uL7m7ltVF+QwqwiVdFD0WRul0xhEyx9cdgq0RF1vHXEUzxOpVaK4Y5fd5fgOvc7m5Pzjets=
X-Received: by 2002:a25:ccca:: with SMTP id l193mr482405ybf.5.1628851115471;
 Fri, 13 Aug 2021 03:38:35 -0700 (PDT)
MIME-Version: 1.0
References: <CAPE069c4DHFHCwuJPwQR9iO5EpvAAAQvs=x_jkmVQ7rxX9-_mA@HIDDEN>
 <JphfNAyrR39pkie7UlFVciKTuQPn3yWdg-zURu0mgkL8qrBucUfJELlqumurHQNjtJPl1yiSDg0GIXLu_6BgcC_UP3DDbvrGgw9MdOhQvIA=@protonmail.com>
In-Reply-To: <JphfNAyrR39pkie7UlFVciKTuQPn3yWdg-zURu0mgkL8qrBucUfJELlqumurHQNjtJPl1yiSDg0GIXLu_6BgcC_UP3DDbvrGgw9MdOhQvIA=@protonmail.com>
From: Andrew Whatson <whatson@HIDDEN>
Date: Fri, 13 Aug 2021 20:38:24 +1000
Message-ID: <CAPE069fq7jkMXoX33FUPZg7GiwEfUWRYv-XGF=6oOwoSQ239yw@HIDDEN>
Subject: Re: [PATCH] gnu: xdg-desktop-portal-gtk: Update to 1.8.0.
To: John Kehayias <john.kehayias@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49972
Cc: 49972 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi John,

Yes I'm using the default gnome-desktop-service, perhaps your setup is
missing something provided by that.  The only thing I can recommend
(and maybe you're already doing this) is to launch your apps like
this:

  flatpak run --log-session-bus --log-system-bus --log-ally-bus com.foo.bar=
app

This gives some extra debug information from flatpak and the app,
which might help diagnose the problem.

Good luck!
Andrew

On Fri, 13 Aug 2021 at 05:18, John Kehayias
<john.kehayias@HIDDEN> wrote:
>
> Hi Andrew,
>
> =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original =
Message =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90
>
> On Thursday, August 12th, 2021 at 6:30 AM, Andrew Whatson wrote:
>
> > Hi John,
> >
> > This package works for me as-is, just installing flatpak,
> >
> > xdg-desktop-portal, xdg-desktop-portal-gtk, and the patched p11-kit
> >
> > from #49957. I think flatpak launches the dbus services on-demand, so
> >
> > no additional setup is needed.
>
> Ah, thanks for that, I was confused over the dbus aspect. You are right, =
just having them installed lets them get launched by flatpak applications.
>
> > The errors about the missing OpenURI
> >
> > handler are fixed by this update; seeing that a version bump fixed the
> >
> > problem, I haven't investigated further.
> >
>
> Hmm, I didn't notice a change between the versions here. In fact, I am st=
ill getting an error that the OpenURI handler is not provided, despite seei=
ng it provided if I launch the portal manually with --verbose. (I didn't tr=
y the change to p11-kit as I haven't run into those errors.)
>
> > With these patches I'm successfully running Teams and Discord via
> >
> > flatpak with no problems.
> >
>
> Good to know!
>
> I don't mean to derail the patch discussion, but did finally get the Open=
URI handler to work, but in an unexpected way: if I launch xdg-desktop-port=
al manually and with --replace. Then it works. Perhaps some difference in e=
nvironment variables or something if it is launched via dbus? The only larg=
e factor I can think of is that I'm not in a DE but just a WM (but have e.g=
. xdg-open working).
>
> Would appreciate any further tips or bits of your setup, but seems like t=
his is on my end and not with the package maybe. Or else needing some confi=
guration when not in Gnome or similar.
>
> Thanks!
> John




Information forwarded to guix-patches@HIDDEN:
bug#49972; Package guix-patches. Full text available.

Message received at 49972 <at> debbugs.gnu.org:


Received: (at 49972) by debbugs.gnu.org; 12 Aug 2021 19:18:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 12 15:18:56 2021
Received: from localhost ([127.0.0.1]:39922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mEGE9-00074c-0N
	for submit <at> debbugs.gnu.org; Thu, 12 Aug 2021 15:18:56 -0400
Received: from mail-4317.protonmail.ch ([185.70.43.17]:22680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1mEGE3-00074L-JM
 for 49972 <at> debbugs.gnu.org; Thu, 12 Aug 2021 15:18:51 -0400
Date: Thu, 12 Aug 2021 19:18:40 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1628795921;
 bh=SiqIMT0hnfOKMw5d4cczOMxhOJS84GcWdTpYnck+u4Y=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=aeW1CMlk7y7/hawLyiV9lxnc8gbk5F5EOcAS9ipONE9KS0r806WVn9Fkm3Av/0aKR
 J0FriWeNjgYAwwPs+2j2sMZjXvL064eDD2bB/r/g/6NEq0rSB4tMHUUTqJvYHxQJk+
 I48bdFkFLT9ToGfNLk29gjYe8O3YOxuTpoTrhy9k=
To: Andrew Whatson <whatson@HIDDEN>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [PATCH] gnu: xdg-desktop-portal-gtk: Update to 1.8.0.
Message-ID: <JphfNAyrR39pkie7UlFVciKTuQPn3yWdg-zURu0mgkL8qrBucUfJELlqumurHQNjtJPl1yiSDg0GIXLu_6BgcC_UP3DDbvrGgw9MdOhQvIA=@protonmail.com>
In-Reply-To: <CAPE069c4DHFHCwuJPwQR9iO5EpvAAAQvs=x_jkmVQ7rxX9-_mA@HIDDEN>
References: <CAPE069c4DHFHCwuJPwQR9iO5EpvAAAQvs=x_jkmVQ7rxX9-_mA@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49972
Cc: 49972 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Andrew,

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90

On Thursday, August 12th, 2021 at 6:30 AM, Andrew Whatson wrote:

> Hi John,
>
> This package works for me as-is, just installing flatpak,
>
> xdg-desktop-portal, xdg-desktop-portal-gtk, and the patched p11-kit
>
> from #49957. I think flatpak launches the dbus services on-demand, so
>
> no additional setup is needed.

Ah, thanks for that, I was confused over the dbus aspect. You are right, ju=
st having them installed lets them get launched by flatpak applications.

> The errors about the missing OpenURI
>
> handler are fixed by this update; seeing that a version bump fixed the
>
> problem, I haven't investigated further.
>

Hmm, I didn't notice a change between the versions here. In fact, I am stil=
l getting an error that the OpenURI handler is not provided, despite seeing=
 it provided if I launch the portal manually with --verbose. (I didn't try =
the change to p11-kit as I haven't run into those errors.)

> With these patches I'm successfully running Teams and Discord via
>
> flatpak with no problems.
>

Good to know!

I don't mean to derail the patch discussion, but did finally get the OpenUR=
I handler to work, but in an unexpected way: if I launch xdg-desktop-portal=
 manually and with --replace. Then it works. Perhaps some difference in env=
ironment variables or something if it is launched via dbus? The only large =
factor I can think of is that I'm not in a DE but just a WM (but have e.g. =
xdg-open working).

Would appreciate any further tips or bits of your setup, but seems like thi=
s is on my end and not with the package maybe. Or else needing some configu=
ration when not in Gnome or similar.

Thanks!
John




Information forwarded to guix-patches@HIDDEN:
bug#49972; Package guix-patches. Full text available.

Message received at 49972 <at> debbugs.gnu.org:


Received: (at 49972) by debbugs.gnu.org; 12 Aug 2021 10:31:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 12 06:31:02 2021
Received: from localhost ([127.0.0.1]:37691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mE7zJ-0003B1-Mg
	for submit <at> debbugs.gnu.org; Thu, 12 Aug 2021 06:31:01 -0400
Received: from mail-yb1-f178.google.com ([209.85.219.178]:43994)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whatson@HIDDEN>) id 1mE7zH-0003Ag-QB
 for 49972 <at> debbugs.gnu.org; Thu, 12 Aug 2021 06:31:00 -0400
Received: by mail-yb1-f178.google.com with SMTP id z128so10673416ybc.10
 for <49972 <at> debbugs.gnu.org>; Thu, 12 Aug 2021 03:30:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to:cc;
 bh=p6LS/O/6oSlOs8tS9RrA5Wv3Lm6Oa7l180dDxSVrycI=;
 b=g4KnVitN4x77ML9EXvtpOQYUI3BZZnBkeUftIGAenK2JsnHKFxVZkCog32P9Fbyjvk
 4KDllBZdrJHDCRW2MLXgAmkTFLz/yKUEPqAicDcHTbQAjOD6+Y7O4rUNyqdRoZgS9jnR
 S3YBLR3adi/0OdR+Vd7ImfRXzFrJN6e2jexDpUgOGEgG663v8lEljdyYWzQpLT9+/0lr
 r/oXfXEd4gp2S0BGE2qL8/6xEcyyNyjUPowu14uxBc++eq36wOaIPOr44jo0GVsKAoO8
 4C993sPpZ3NEXGfKLnu2FPqI+MI7UAtQ/3o6PJqVPa8xuXsSHGC8lYC8djDz7l/Pb4Oa
 2LPA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=p6LS/O/6oSlOs8tS9RrA5Wv3Lm6Oa7l180dDxSVrycI=;
 b=Cmj2AIe0Bt4e/KgGXiMciU7dFw15WuZ6o64f1KXjlE5YH9/jFhAMB0iLoeitXJiGKL
 ucIImbkCw7CUkmKto7o1neA78QakXMi9llUVT937bivmYH1RIDY73ayulW4RKRzcxf8h
 MWOSxVIqPJsZQQz1IY8ekSTieVf0vxk+nmaf6ZQts+mlMDKXFWCWM6Nq/6VJN30V8ad+
 zJqg9rCIR1XpEQ5HcUTlOWvFkUJwGIzvQPU5lvU8XqQG8TY5jLOEzctQ/ZclMf3b53n2
 wK/iZZJyaxu5k/4DJkDdhbobd3utjXfcjka8mzaoMBvkxRcB6GXof+pAGnA1iptyDA8e
 Tnrw==
X-Gm-Message-State: AOAM532ZRhHJ+Ar226Gxzaf/uURJ/pEiKPf13oUbywzLhcVQJwHneCvR
 6czs+MpWkLIcWF830n612vaJbysRIkiuqyKW95s=
X-Google-Smtp-Source: ABdhPJzQOD1JMYOvKa6bx/8j0SyMjsZtdr0lageJMnpo0NRTB39iLgexRsYyb8E48JgyRnbO8fG2Wg7oTpEQG5AGiBM=
X-Received: by 2002:a25:3491:: with SMTP id b139mr3714943yba.121.1628764254242; 
 Thu, 12 Aug 2021 03:30:54 -0700 (PDT)
MIME-Version: 1.0
From: Andrew Whatson <whatson@HIDDEN>
Date: Thu, 12 Aug 2021 20:30:43 +1000
Message-ID: <CAPE069c4DHFHCwuJPwQR9iO5EpvAAAQvs=x_jkmVQ7rxX9-_mA@HIDDEN>
Subject: Re: [PATCH] gnu: xdg-desktop-portal-gtk: Update to 1.8.0.
To: John Kehayias <john.kehayias@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49972
Cc: 49972 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi John,

This package works for me as-is, just installing flatpak,
xdg-desktop-portal, xdg-desktop-portal-gtk, and the patched p11-kit
from #49957.  I think flatpak launches the dbus services on-demand, so
no additional setup is needed.  The errors about the missing OpenURI
handler are fixed by this update; seeing that a version bump fixed the
problem, I haven't investigated further.

With these patches I'm successfully running Teams and Discord via
flatpak with no problems.

Cheers,
Andrew




Information forwarded to guix-patches@HIDDEN:
bug#49972; Package guix-patches. Full text available.

Message received at 49972 <at> debbugs.gnu.org:


Received: (at 49972) by debbugs.gnu.org; 10 Aug 2021 16:34:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 10 12:34:32 2021
Received: from localhost ([127.0.0.1]:60694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDUi0-00089p-4f
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 12:34:32 -0400
Received: from mail-40136.protonmail.ch ([185.70.40.136]:34891)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1mDUhx-00088w-Ab
 for 49972 <at> debbugs.gnu.org; Tue, 10 Aug 2021 12:34:30 -0400
Date: Tue, 10 Aug 2021 16:34:20 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1628613262;
 bh=8SUJLE9rDj2SopbhE/YXZHRigHpEZ8/f1n41L9jPpjQ=;
 h=Date:To:From:Reply-To:Subject:From;
 b=ie5Rw3rUIzhce8A/Y5QD6wNZIWYqJ+v007hI/HgvX/b/kP7ZW8PPB1SwQGagIRJqf
 MRC9vXsARVnPt7Eam6xfIkmw/y2Xz/PvWXs93nj+VA4TQAvnb3JrA34d/hqBFhV4ZR
 sUniRfMVJete+gvkbH4o1hprPOxCwseG+O90u3EQ=
To: "49972 <at> debbugs.gnu.org" <49972 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [PATCH] gnu: xdg-desktop-portal-gtk: Update to 1.8.0.
Message-ID: <PyOwaQzBqSij34E9nmqMVxdBYloBLOhZD5StxzsW-Q8W9re4hFoYIVgiW2YZb7PhrVIIcPSVP1NbZWFia_S5M6cwHHOn_mobBXJCnTP-wTU=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49972
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Andrew,

Thanks for the package update. There was actually just a discussion on IRC =
about using xdg-desktop-portal (and -gtk). It came up that it would be help=
ful to add to the description a note about this needing to be used as a dbu=
s-service, with perhaps a short code snippet for the user. A few other pack=
ages do this, but I think it would be helpful to make this more widespread.

As it is, the description of xdg-desktop-portal does mention dbus but I thi=
nk could be clearer. For this package, could be clearer that this is a back=
end to be used with xdg-desktop-portal (doesn't make sense on its own corre=
ct?). So, you would want to add this to a dbus service with xdg-desktop-por=
tal.

Sorry if this is out of scope on this patch thread, but does this package w=
ork for you? When I try using this with xdg-desktop-portal with dbus, there=
 are messages about not finding e.g. the OpenURI handler when links are cli=
cked in Flatpak apps. Is there more configuration or package changes needed=
 on Guix to make this work?

Thanks,
John




Information forwarded to guix-patches@HIDDEN:
bug#49972; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Aug 2021 04:51:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 10 00:51:57 2021
Received: from localhost ([127.0.0.1]:58189 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mDJk5-0008A8-KK
	for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 00:51:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:47540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whatson@HIDDEN>) id 1mDJk2-00089x-K6
 for submit <at> debbugs.gnu.org; Tue, 10 Aug 2021 00:51:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56996)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <whatson@HIDDEN>) id 1mDJk2-0008Go-7N
 for guix-patches@HIDDEN; Tue, 10 Aug 2021 00:51:54 -0400
Received: from mail-pj1-x102a.google.com ([2607:f8b0:4864:20::102a]:44993)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <whatson@HIDDEN>) id 1mDJk0-0005vC-Q2
 for guix-patches@HIDDEN; Tue, 10 Aug 2021 00:51:53 -0400
Received: by mail-pj1-x102a.google.com with SMTP id
 hv22-20020a17090ae416b0290178c579e424so3523346pjb.3
 for <guix-patches@HIDDEN>; Mon, 09 Aug 2021 21:51:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=RxrOlvZAKZqkumQTWIIyf/sdHrTyMziSigmowxFcVwI=;
 b=kgYn/Z64ZDA5Wx8ieNosf3pS83K85yIEcll0borvAa/Vq/3R/5fSw7CJhTcY03poRG
 nM+lDmACUq3KJH+mmFUdRmSSxhuYZ9yp3edTGbt2aaUkDHplEmMshy39SyGw3mtHeD4e
 BcC7EkwKYCJJGSgo3GmY7qBEruO7n/eIknpGKeMNq+ePAk1OW8fFqtdZ+xLBTD/R1Dtq
 xV6fuhb2tt6nfjoJsvAXtno5VHKBzjNs9l3o4yOQR/5lf9KBVmvMf4JE9jWqFY7IVcrS
 fS11r7gnkMJDvMcWnbX03IKgiE4kFuSRdPJ1EVv5qTRk9KkLZ/7E6TKDfoCmptVXx/47
 vD4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=RxrOlvZAKZqkumQTWIIyf/sdHrTyMziSigmowxFcVwI=;
 b=PSENkBJbFeM8PWX0UA7iiA3fI+fb+uMlXp2qd4KxztHPt0RPhwhe8vnTr6xT/0bldi
 Hzu1nXO8wTh9dR3h+dNLHMHzWRbtaA6wHeGZqZLIlcJZi4Ak8X49+KVhifot21sfhF19
 Jyhg/VuCCUdsgfFxziAkbB3BacehDJ0U+1aFJdi8ZR266MJEuMCLtaYVuIAN82EeH0x8
 bYsnhGzMd82RIaxMox8cDBPRFKSlnsLde+OUJuKM+lBSeZeGC8QtRvshdMhO+6qvnh34
 VaQ9f+vrkIPyMgICDKBVH7Zb3wh54LKN5Quvj/dYJqu01w+yloibp2tphQ22V/3BrUTI
 JQaA==
X-Gm-Message-State: AOAM5311UYSNuIR2QpARhq9DaAdEjPiZJ+4LEcXapklGNdR7SJd0+vAP
 sYlIP2deoxcY09ACHG1ViwAE7qEZKbmOYg==
X-Google-Smtp-Source: ABdhPJxlclg8fvBb5wosgGc6BAfRs/DXzxPN2WynMsiFb6QHutW/qP9/3s+yYksJDOScrJhnV+4bNQ==
X-Received: by 2002:a62:e40d:0:b029:3ab:42cd:d156 with SMTP id
 r13-20020a62e40d0000b02903ab42cdd156mr21349423pfh.81.1628571110884; 
 Mon, 09 Aug 2021 21:51:50 -0700 (PDT)
Received: from localhost.localdomain
 ([2001:8000:1ab6:ff00:da0b:fdd8:d6b3:9e94])
 by smtp.gmail.com with ESMTPSA id 65sm25268452pgi.12.2021.08.09.21.51.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 09 Aug 2021 21:51:50 -0700 (PDT)
From: Andrew Whatson <whatson@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: xdg-desktop-portal-gtk: Update to 1.8.0.
Date: Tue, 10 Aug 2021 14:51:34 +1000
Message-Id: <20210810045134.27435-1-whatson@HIDDEN>
X-Mailer: git-send-email 2.32.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::102a;
 envelope-from=whatson@HIDDEN; helo=mail-pj1-x102a.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Andrew Whatson <whatson@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/freedesktop.scm (xdg-desktop-portal-gtk): Update to
1.8.0.
---
 gnu/packages/freedesktop.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/freedesktop.scm b/gnu/packages/freedesktop.scm
index 693a79c738..9f6810472b 100644
--- a/gnu/packages/freedesktop.scm
+++ b/gnu/packages/freedesktop.scm
@@ -2349,7 +2349,7 @@ and others.")
 (define-public xdg-desktop-portal-gtk
   (package
     (name "xdg-desktop-portal-gtk")
-    (version "1.7.1")
+    (version "1.8.0")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -2358,7 +2358,7 @@ and others.")
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "183iha9dxmvprn99ymgz17jx1lyn1fj5jyj6ghxl716zn9mxmird"))))
+                "0987fwsdgkcd3mh3scvg2kyg4ay1rr5w16js4pl3pavw9yhl9lbi"))))
     (build-system glib-or-gtk-build-system)
     (arguments
      `(#:phases
-- 
2.32.0





Acknowledgement sent to Andrew Whatson <whatson@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#49972; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 13 Aug 2021 10:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.